Bug 192488 - syslinux fails to build in mock
syslinux fails to build in mock
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
Reported: 2006-05-19 22:51 EDT by Michael J Knox
Modified: 2013-01-09 22:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-05 11:55:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Matt Domsch's build.log (90.72 KB, text/plain)
2006-05-19 22:51 EDT, Michael J Knox
no flags Details

  None (edit)
Description Michael J Knox 2006-05-19 22:51:33 EDT
This package fails to build in mock.  build.log is attached.
Comment 1 Michael J Knox 2006-05-19 22:51:33 EDT
Created attachment 129677 [details]
Matt Domsch's build.log
Comment 2 Michael J Knox 2006-05-19 22:53:48 EDT
Adding a build requires on glibc-devel allows syslinux to build successfully
with mock. 
Comment 3 Jesse Keating 2006-06-05 11:34:40 EDT
glibc-devel being in the buildroot is not what is needed to fix this problem. 
The x86_64 buildroots need glibc-devel.i386 in them in order to build.  I'm
working with our buildsystem team to make this happen.
Comment 4 Jesse Keating 2006-06-05 11:55:16 EDT
Adding a file level BuildRequires worked for this package.  Will be released in
rawhide tonight.

BuildRequires: /usr/include/gnu/stubs-32.h

Note You need to log in before you can comment on or make changes to this bug.